import { RetryPromiseOptions } from './promise-utils';
import { FileSystem } from './api';
import { LocalFileSystemCrudOnly } from './local-fs-crud-only';
export declare class LocalFileSystem extends LocalFileSystemCrudOnly implements FileSystem {
    baseUrl: string;
    private retryOptions;
    private watcher;
    constructor(baseUrl: string, ignore?: Array<string>, retryOptions?: RetryPromiseOptions);
    init(): Promise<LocalFileSystem>;
    dispose(): void;
}
